"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var base_auth_1 = require("./base-auth");
var storage = require("./storage");
var utils = require("./utils");
var Auth = (function (_super) {
    __extends(Auth, _super);
    function Auth(page) {
        return _super.call(this, page) || this;
    }
    Auth.prototype.login = function (config) {
        if (!this.hasToken()) {
            storage.setWebConfig(config);
            this.doWebLogin();
        }
    };
    Auth.prototype.hasToken = function () {
        var value = (storage.getTokenData().accessToken === undefined || storage.getTokenData().refreshToken === undefined) ? false : true;
        this.notify(utils.getAuthEventData());
        return value;
    };
    Auth.prototype.logout = function (page) {
        this.doLogout(page);
    };
    return Auth;
}(base_auth_1.BaseAuth));
exports.Auth = Auth;
//# sourceMappingURL=auth.js.map