"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var observable_1 = require("data/observable");
var urls = require("./urls");
var webpage_1 = require("./webpage");
var utils = require("./utils");
var BaseAuth = (function (_super) {
    __extends(BaseAuth, _super);
    function BaseAuth(page) {
        var _this = _super.call(this) || this;
        _this.page = page;
        return _this;
    }
    BaseAuth.prototype.doWebLogin = function () {
        var url = urls.loginUrl('token') || '';
        if (url !== '') {
            this.openWebPage(url);
        }
    };
    BaseAuth.prototype.doLogout = function (page) {
        this.page = page;
        var url = urls.logoutUrl() || '';
        if (url !== '') {
            this.openWebPage(url);
        }
    };
    BaseAuth.prototype.openWebPage = function (url) {
        this.webPage = new webpage_1.WebPage(url, this);
        if (this.page !== undefined) {
            this.page.showModal(this.webPage, '', function (args) { }, true);
        }
    };
    Object.defineProperty(BaseAuth.prototype, "tokenData", {
        get: function () {
            return this._tokenData;
        },
        set: function (value) {
            this._tokenData = value;
            this.setTokenAndCloseLogin(value);
            this.notifyPropertyChange('tokenData', value);
        },
        enumerable: true,
        configurable: true
    });
    BaseAuth.prototype.setTokenAndCloseLogin = function (value) {
        this.notify(utils.getAuthEventData());
        this.webPage.closeModal();
    };
    return BaseAuth;
}(observable_1.Observable));
exports.BaseAuth = BaseAuth;
//# sourceMappingURL=base-auth.js.map