"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils = require("./utils");
var storage = require("./storage");
function code(url) {
    return utils.getCodeString(url) || '';
}
exports.code = code;
function token(url) {
    var tokenObject;
    var tokenString = utils.getTokenString(url) || '';
    if (tokenString !== '') {
        var parsedData = utils.parseQueryString(tokenString) || {};
        tokenObject = getTokenObject(parsedData);
    }
    return tokenObject;
}
exports.token = token;
function getTokenObject(parsedData) {
    var token = { accessToken: '', instanceUrl: '' };
    token.accessToken = parsedData.access_token;
    token.id = parsedData.id;
    token.instanceUrl = parsedData.instance_url;
    token.issuedAt = parsedData.issued_at;
    token.refreshToken = parsedData.refresh_token;
    token.scope = parsedData.scope;
    token.signature = parsedData.signature;
    if (parsedData.refresh_token === undefined) {
        var savedToken = storage.getTokenData();
        if (savedToken.refreshToken !== undefined) {
            token.refreshToken = savedToken.refreshToken;
        }
    }
    if (token.accessToken !== '' && token.refreshToken !== '') {
        storage.setTokenData(token);
    }
    return token;
}
exports.getTokenObject = getTokenObject;
//# sourceMappingURL=parser.js.map