"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var constants_1 = require("./constants");
var AppSettings = require("application-settings");
function setWebConfig(value) {
    saveData(constants_1.CONFIG_WEB_KEY, value);
}
exports.setWebConfig = setWebConfig;
function getWebConfig() {
    return getData(constants_1.CONFIG_WEB_KEY);
}
exports.getWebConfig = getWebConfig;
function clear() {
    AppSettings.clear();
}
exports.clear = clear;
function getTokenData() {
    return getData(constants_1.TOKEN_KEY);
}
exports.getTokenData = getTokenData;
function getAccessToken() {
    var token = getData(constants_1.TOKEN_KEY);
    return (token !== undefined) ? token.accessToken : '';
}
exports.getAccessToken = getAccessToken;
function setTokenData(value) {
    saveData(constants_1.TOKEN_KEY, value);
}
exports.setTokenData = setTokenData;
function removeAccessToken() {
    var data = getData(constants_1.TOKEN_KEY);
    data.accessToken = undefined;
    data.refreshToken = undefined;
    saveData(constants_1.TOKEN_KEY, data);
}
exports.removeAccessToken = removeAccessToken;
function saveData(key, value) {
    AppSettings.setString(key, JSON.stringify(value));
}
function getData(key) {
    return JSON.parse(AppSettings.getString(key) || '{}');
}
//# sourceMappingURL=storage.js.map