"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var storage = require("./storage");
var constants_1 = require("./constants");
function loginUrl(type) {
    var config = storage.getWebConfig();
    return (config !== undefined) ? encodeURI("" + config.loginUrl + constants_1.AUTHORIZE_URL + "?response_type=" + type + "&client_id=" + config.clientId + "&redirect_uri=" + config.calbackUrl + "&display=touch") : '';
}
exports.loginUrl = loginUrl;
function logoutUrl() {
    return (getRoot() !== '') ? "" + getRoot() + constants_1.LOGOUT_URL : '';
}
exports.logoutUrl = logoutUrl;
function refreshTokenUrl() {
    return (getRoot() !== undefined) ? "" + getRoot() + constants_1.REFRESH_TOKEN : '';
}
exports.refreshTokenUrl = refreshTokenUrl;
function queryUrl() {
    var config = storage.getWebConfig();
    var apiVersion = config.apiVersion || constants_1.DEFAULT_API_VERSION;
    return (getRoot() !== undefined) ? getRoot() + "/services/data/" + apiVersion + "/query/?" : '';
}
exports.queryUrl = queryUrl;
function getRoot() {
    var tokenData = storage.getTokenData();
    return (tokenData.instanceUrl !== undefined) ? tokenData.instanceUrl : '';
}
//# sourceMappingURL=urls.js.map