"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var storage = require("./storage");
var observable_1 = require("data/observable");
var codeString = 'code=';
var tokenString = 'access_token';
var errorString = 'error=access_denied';
function hasString(value, searchString) {
    return (value.indexOf(searchString) > -1) ? true : false;
}
exports.hasString = hasString;
function getAuthEventData() {
    var value = (storage.getTokenData().accessToken === undefined || storage.getTokenData().refreshToken === undefined) ? false : true;
    var evt = {
        eventName: value ? 'success' : 'fail',
        object: observable_1.fromObject(storage.getTokenData())
    };
    return evt;
}
exports.getAuthEventData = getAuthEventData;
function hasError(value, searchString) {
    if (searchString === void 0) { searchString = errorString; }
    return (value.indexOf(searchString) > -1) ? true : false;
}
function getCodeString(value) {
    var code = '';
    if (hasString(value, codeString)) {
        var startIndex = value.indexOf(codeString) + codeString.length;
        code = value.substr(startIndex, value.length);
    }
    return code;
}
exports.getCodeString = getCodeString;
function parseQueryString(search) {
    var obj = search.split("&").reduce(function (prev, curr, i, arr) {
        var p = curr.split("=");
        prev[decodeURIComponent(p[0])] = decodeURIComponent(p[1]);
        return prev;
    }, {});
    return obj;
}
exports.parseQueryString = parseQueryString;
function getTokenString(value) {
    var toeken = '';
    if (hasString(value, tokenString)) {
        var startIndex = value.indexOf(tokenString);
        toeken = value.substr(startIndex, value.length);
    }
    return toeken;
}
exports.getTokenString = getTokenString;
function toQueryString(obj) {
    var parts = [], i;
    for (i in obj) {
        if (obj.hasOwnProperty(i)) {
            parts.push(encodeURIComponent(i) + "=" + encodeURIComponent(obj[i]));
        }
    }
    return parts.join("&");
}
exports.toQueryString = toQueryString;
//# sourceMappingURL=utils.js.map