"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var page_1 = require("ui/page");
var web_view_1 = require("ui/web-view");
var parser = require("./parser");
var constants_1 = require("./constants");
var utils = require("./utils");
var urls = require("./urls");
var storage = require("./storage");
var WebPage = (function (_super) {
    __extends(WebPage, _super);
    function WebPage(url, baseAuth) {
        var _this = _super.call(this) || this;
        _this.loginUrl = '';
        _this.url = url;
        _this.baseAuth = baseAuth;
        _this.loginUrl = urls.loginUrl('token') || '';
        _this.initWebView();
        return _this;
    }
    WebPage.prototype.initWebView = function () {
        var _this = this;
        this.webView = new web_view_1.WebView();
        this.webView.src = this.url;
        this.content = this.webView;
        this.webView.on('tap', function (args) {
            var currentUrl = _this.webView.src || '';
            if (utils.hasString(currentUrl, constants_1.LOGOUT_URL)) {
                var url = urls.loginUrl('token') || '';
                if (url !== '') {
                    _this.webView.src = url;
                }
            }
        });
        this.webView.on('loadStarted', function (args) {
            var token = parser.token(args.url || '') || null;
            if (token !== null) {
                _this.baseAuth.tokenData = token;
            }
            var startUrl = args.url || '';
            if (startUrl.indexOf('http://') === 0) {
                _this.webView.src = _this.loginUrl;
                storage.removeAccessToken();
            }
        });
        this.webView.on('loadFinished', function (args) {
            if (utils.hasString(args.url || '', constants_1.LOGOUT_URL)) {
                storage.removeAccessToken();
            }
        });
    };
    WebPage.prototype.getAccessToken = function (code) {
        if (code !== undefined) {
        }
    };
    return WebPage;
}(page_1.Page));
exports.WebPage = WebPage;
//# sourceMappingURL=webpage.js.map